---
boot_urls:
  lin-boot-url: linux-builder.ch.cam.ac.uk
  lin-boot-ip: 131.111.112.251
  win-boot-url: http://winbuild2029.ch.cam.ac.uk/ipxe/wimboot.ipxe
  pxe-boot-url: pxe2025.ch.cam.ac.uk

confhead: |
  #!ipxe
  #:retry_dhcp
  #dhcp || goto retry_dhcp
  :start
  iseq ${platform} efi && set defaultboothuman EFI || set defaultboothuman grub4dos


conftail: |
  :failed
  echo Booting failed, dropping to shell
  shell

  boot || goto failed

nomacaddress: |
  :menu
  menu Registration menu
  set menu-timeout 5000
  item --key r reg (r) Registration Image
  item menu-cos COs tools (password protected) -->
  item --key 0 hd0 (0) Boot from local hard disk
  item --key 1 hd1 (1) Boot from local hard disk partition 1
  item --key 2 hd2 (2) Boot from local hard disk partition 2
  item --key 3 hd3 (3) Boot from local hard disk partition 3

  choose --timeout ${menu-timeout} --default hd0 selected
  goto ${selected}

  :reg
  initrd tftp://${lin-boot-url}/selfreg/initrd
  chain tftp://${lin-boot-url}/selfreg/kern root=/dev/nfs netboot=nfs nfsroot=${lin-boot-ip}:/srv/nfs4/selfreg/ ip=dhcp ro quiet loglevel=0 console=tty12

  :hd0
  sanboot --no-describe --drive 0x80 || shell

  :hd1
  sanboot --no-describe --drive 0x81 || shell

  :hd2
  sanboot --no-describe --drive 0x82 || shell

  :hd3
  sanboot --no-describe --drive 0x83 || shell

autoinstallers:
  ubuntu_16.04_amd64: goto faimin
  ubuntu_18.04_amd64: goto faimin
  ubuntu_20.04_amd64: goto faimin
  ubuntu_22.04_amd64: goto faimin
  ubuntu_24.04_amd64: goto faimin
  windows: goto windows
